/* Initialize */
function init() {
  //Get map controls
  var map = adf.Controls.maps["map1"];
  //Add update listener to map
  map.addUpdateListener("mapInformationListener", updateMapInformationRequest);
  //Update map information at startup
  updateMapInformationRequest(map);
}

/* Send AJAX request to get map's extent and spatial reference information */
function updateMapInformationRequest(map) {
  //Get server URL
  var url = adf.Utils.getServerUrl(map.formId);
  //Set request parameters
  var params = "mapinformation=mapinformation&formId=" + map.formId + "&mapId=" + map.id + "&" + adf.Utils.buildRequestParams(map.formId);
  //Send AJAX request and set response processing function
  var xmlHttp = adf.Utils.sendAjaxRequest(url, params, true,updateMapInformationResponse);
}

/* Process AJAX request and update content */
function updateMapInformationResponse(xmlHttp) {
  if (xmlHttp != null && xmlHttp.readyState == 4 && xmlHttp.status == 200) {
    //Get XML response
    var xml = xmlHttp.responseXML;

    //If error, show error message
    if (xml.getElementsByTagName("error").length > 0) {
      alert(xml.getElementsByTagName("error").item(0).firstChild.nodeValue)
    }
    //Parse XML and update HTML elements
    else {
      document.getElementById("minx").innerHTML = xml.getElementsByTagName("minx").item(0).firstChild.nodeValue;
      document.getElementById("miny").innerHTML = xml.getElementsByTagName("miny").item(0).firstChild.nodeValue;
      document.getElementById("maxx").innerHTML = xml.getElementsByTagName("maxx").item(0).firstChild.nodeValue;
      document.getElementById("maxy").innerHTML = xml.getElementsByTagName("maxy").item(0).firstChild.nodeValue;
      document.getElementById("map-scale").innerHTML = xml.getElementsByTagName("map-scale").item(0).firstChild.nodeValue;
    }
  }
}